---
updatedAt: 2025-09-16T11:17:40.000Z
agentTools:
  projectIndex: https://docs.super.ai/llms.txt
---

# Retrieve workers from an account or organization

Use this endpoint to retrieve a list of workers at the account or organization level.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "superai-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.super.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "API-KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/workers": {
      "get": {
        "summary": "Retrieve workers from an account or organization",
        "description": "Use this endpoint to retrieve a list of workers at the account or organization level.",
        "operationId": "retrieve-workers-from-an-account-or-organization",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "Page number from which you want to start your results. Only use this parameter if you are expecting a huge number of results. Without this parameter, the default is the first page, page 0.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "size",
            "in": "query",
            "description": "Number of workers per page you want to receive. Without this parameter, the default is 250.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "sortBy",
            "in": "query",
            "description": "Criteria by which the workers are sorted.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "orderBy",
            "in": "query",
            "description": "Order in which your workers are sorted. Available options: asc (ascending) and desc (descending). If you do not set this parameter, results will be in descending order.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "org",
            "in": "query",
            "description": "The name of the organization from which you want to retrieve the list of workers.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"content\":[\n      {\n         \"appUuid\":\"123abc45-6789-01de-f2g3-45h67ijk8901\",\n         \"created\":\"2021-07-14T13:18:58.288000+00:00\",\n         \"ownerId\":123,\n         \"worker\":{\n            \"id\":1234,\n            \"status\":\"ACTIVE\",\n            \"type\":\"USER\",\n            \"invited\":\"2021-07-14T13:18:49.669000+00:00\",\n            \"accepted\":\"2021-07-14T13:18:49.669000+00:00\",\n            \"created\":\"2021-07-14T13:18:49.669000+00:00\",\n            \"userId\":123,\n            \"userEmail\":\"chris@canotic.com\",\n            \"userUsername\":\"user123\"\n         },\n         \"role\":\"REVIEWER\"\n      },\n      {\n         \"appUuid\":\"123abc45-6789-01de-f2g3-45h67ijk8901\",\n         \"created\":\"2021-07-28T14:29:38.982000+00:00\",\n         \"ownerId\":123,\n         \"worker\":{\n            \"id\":23456,\n            \"status\":\"ACTIVE\",\n            \"type\":\"USER\",\n            \"invited\":\"2021-07-28T14:27:11.863000+00:00\",\n            \"accepted\":\"2021-07-28T14:27:32.375000+00:00\",\n            \"created\":\"2021-07-28T14:27:11.863000+00:00\",\n            \"userId\":23456,\n            \"userEmail\":\"chris+api+test@super.ai\",\n            \"userUsername\":\"user23456\"\n         },\n         \"role\":\"REVIEWER\"\n      }\n   ],\n   \"total\":2,\n   \"pageSize\":10,\n   \"pageNumber\":0,\n   \"pages\":1\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "content": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "appUuid": {
                            "type": "string",
                            "example": "123abc45-6789-01de-f2g3-45h67ijk8901"
                          },
                          "created": {
                            "type": "string",
                            "example": "2021-07-14T13:18:58.288000+00:00"
                          },
                          "ownerId": {
                            "type": "integer",
                            "example": 123,
                            "default": 0
                          },
                          "worker": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "example": 1234,
                                "default": 0
                              },
                              "status": {
                                "type": "string",
                                "example": "ACTIVE"
                              },
                              "type": {
                                "type": "string",
                                "example": "USER"
                              },
                              "invited": {
                                "type": "string",
                                "example": "2021-07-14T13:18:49.669000+00:00"
                              },
                              "accepted": {
                                "type": "string",
                                "example": "2021-07-14T13:18:49.669000+00:00"
                              },
                              "created": {
                                "type": "string",
                                "example": "2021-07-14T13:18:49.669000+00:00"
                              },
                              "userId": {
                                "type": "integer",
                                "example": 123,
                                "default": 0
                              },
                              "userEmail": {
                                "type": "string",
                                "example": "chris@canotic.com"
                              },
                              "userUsername": {
                                "type": "string",
                                "example": "user123"
                              }
                            }
                          },
                          "role": {
                            "type": "string",
                            "example": "REVIEWER"
                          }
                        }
                      }
                    },
                    "total": {
                      "type": "integer",
                      "example": 2,
                      "default": 0
                    },
                    "pageSize": {
                      "type": "integer",
                      "example": 10,
                      "default": 0
                    },
                    "pageNumber": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "pages": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.super.ai/v1/app/123abc45-6789-01de-f2g3-45h67ijk8901/workers\" \\\n-X GET \\\n-H \"API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```